Skip to Content
Core

Validate API key

GET
/v3/validate

Returns the account and key details for the key you send. Use apiKey.type to know if you are in SANDBOX or PRODUCTION.

Authorization

AccessToken
headerX-Access-Token<token>

Your API key. Sandbox keys start with flx_test_, production keys with flx_live_.

Response Body

Key details

application/json
  1. response
success*true
Value intrue
data*
meta*
requestId*string
Example Request
curl -X GET 'https://api.flexyliktelecom.com/v3/validate'
Example Response
{  "success": true,  "data": {    "username": "my-shop",    "apiKey": {      "keyId": "key_3f9a1c2b7d4e5f6a7b",      "name": "Production server",      "key": "flx_live_Ab3d••••••••w9Qz",      "isEnabled": true,      "type": "SANDBOX",      "scope": "READ-WRITE",      "allowedips": [        "string"      ]    }  },  "meta": {    "timestamp": "2026-11-15T10:30:00.000Z"  },  "requestId": "req_8fK2mQx7Lp0aZ3nV1cWb"}